libzypp 17.38.15

PoolItem.h File Reference
`#include <iosfwd>`
`#include <functional>`
`#include <zypp-core/base/PtrTypes.h>`
`#include <zypp/ResObject.h>`
`#include <zypp/sat/SolvableType.h>`
`#include <zypp/ResStatus.h>`

Go to the source code of this file.

## Classes
class | zypp::PoolItem
| Combining sat::Solvable and ResStatus. More...
struct | zypp::asPoolItem
| Solvable to PoolItem transform functor. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::pool

## Functions
std::ostream & | zypp::operator<< (std::ostream &str, const PoolItem &obj)
| relates: PoolItem Stream output
bool | zypp::operator== (const PoolItem &lhs, const PoolItem &rhs)
| relates: PoolItem Required to disambiguate vs.
bool | zypp::operator== (const PoolItem &lhs, const ResObject::constPtr &rhs)
| relates: PoolItem Convenience compare
bool | zypp::operator== (const ResObject::constPtr &lhs, const PoolItem &rhs)
| relates: PoolItem Convenience compare
bool | zypp::operator!= (const PoolItem &lhs, const PoolItem &rhs)
| relates: PoolItem Required to disambiguate vs.
bool | zypp::operator!= (const PoolItem &lhs, const ResObject::constPtr &rhs)
| relates: PoolItem Convenience compare
bool | zypp::operator!= (const ResObject::constPtr &lhs, const PoolItem &rhs)
| relates: PoolItem Convenience compare